 package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.InfraredThreshold;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 红外测温阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Repository
public class InfraredThresholdDao extends BaseDao<InfraredThreshold, String>{

    public int saveOrUpdate(InfraredThreshold entity) {
        if(StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
